Meta ads

One Meta ad and its publish state

GET/api/public/v1/meta_ads/{id}
LiveAnswers from your brand's records now.

Operation id getMetaAd

Request

curl

curl "https://creator.growthdept.ai/api/public/v1/meta_ads/1024" \
  -H "Authorization: Bearer gdc_..."

Parameters

NameInTypeNotes
organization_idqueryinteger
idpathintegerrequired

Responses

200Success

FieldTypeNotes
dataobject
data.campaign_affiliate_idinteger, nullable
data.created_atstring (date-time)
data.error_messagestring, nullable
data.externalboolean
data.failedboolean
data.idinteger
data.last_stepstring, nullable
data.meta_ad_idstring, nullable
data.meta_ad_set_idinteger, nullable
data.meta_ad_set_namestring, nullable
data.namestring
data.publishedboolean
data.statestringOne of queuedpublishingpublishedactivefailed
data.statusstring
successboolean

Example

{
  "data": {
    "campaign_affiliate_id": 1024,
    "created_at": "2026-11-01T15:04:05Z",
    "error_message": "string",
    "external": true,
    "failed": true,
    "id": 1024,
    "last_step": "string",
    "meta_ad_id": "string",
    "meta_ad_set_id": 1024,
    "meta_ad_set_name": "Example name",
    "name": "Example name",
    "published": true,
    "state": "queued",
    "status": "string"
  },
  "success": true
}

Errors: 401404429with an error and usually a message. See errors.

Example values are made up from each field's type and name.